summarylogtreecommitdiffstats
path: root/jlivertool.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-19 08:50:30 +0800
committerzxp198210052024-03-19 08:50:30 +0800
commit22e0ed350547764393df0e69c892e5d53f71ca41 (patch)
treeeebf09da26ee558fc21cb7b996ad32da8a47c368 /jlivertool.sh
parent2d073350283c4a9ba35f580fa13762d3b14924a2 (diff)
downloadaur-22e0ed350547764393df0e69c892e5d53f71ca41.tar.gz
fix errors
Diffstat (limited to 'jlivertool.sh')
-rw-r--r--jlivertool.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/jlivertool.sh b/jlivertool.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/jlivertool.sh
+++ b/jlivertool.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file